export function debug(...args) {
    if (process.env.OPEN_NEXT_DEBUG) {
        console.log(...args);
    }
}
export function warn(...args) {
    console.warn(...args);
}
export function error(...args) {
    console.error(...args);
}
export const awsLogger = {
    trace: () => { },
    debug: () => { },
    info: debug,
    warn,
    error,
};
