import { IncomingMessage } from "../../http/request.js";
import { ServerlessResponse } from "../../http/response.js";
export declare function proxyRequest(req: IncomingMessage, res: ServerlessResponse): Promise<void>;
export declare function fixCacheHeaderForHtmlPages(rawPath: string, headers: Record<string, string | undefined>): void;
export declare function fixSWRCacheHeader(headers: Record<string, string | string[] | undefined>): void;
export declare function addOpenNextHeader(headers: Record<string, string | undefined>): void;
export declare function revalidateIfRequired(host: string, rawPath: string, headers: Record<string, string | undefined>, req?: IncomingMessage): Promise<void>;
export declare function fixISRHeaders(headers: Record<string, string | undefined>): void;
