//#override imports
import { proxyRequest } from "./routing/util.js";
import { requestHandler, setNextjsPrebundledReact } from "./util.js";
//#endOverride
//#override handler
export const handler = async (req, res, options) => {
    let { internalEvent } = options;
    const { rawPath } = internalEvent;
    if (options.isExternalRewrite) {
        return proxyRequest(req, res);
    }
    else {
        setNextjsPrebundledReact(rawPath);
        // Next Server
        return requestHandler(req, res);
    }
};
//#endOverride
