/// <reference types="node" />
import type { CreateResponse, PostProcessOptions, ProcessInternalEventResult } from "../../types/plugin";
import type { InternalEvent, InternalResult } from "../../event-mapper";
import { ServerResponse } from "http";
export declare function processInternalEvent<Response extends ServerResponse>(internalEvent: InternalEvent, createResponse: CreateResponse<Response>): Promise<ProcessInternalEventResult<Response>>;
export declare function postProcessResponse({ internalEvent, req, res, isExternalRewrite, }: PostProcessOptions): Promise<InternalResult>;
